/* bns_power_off adapted from "manual_bns.cc" */
/* sds 29th Jan 2002 */

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include "../../driver/slm.h"

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#define SLM "/dev/slm"

void h_err(int);

main(int argc,char ** argv){

// set initial values

int*	dummy=NULL;
int	dev;
	// initialisation...
        dev=open(SLM,O_RDWR);
        if(dev<0){
		printf("Failed to open %d\n",SLM);
                perror("slm_test:FTO:");
                exit(1);
                }

	printf("Setting SLM power OFF\n");
	h_err(ioctl(dev,BNS_POWER_OFF,dummy));
	}

void h_err(int err){
        if(err!=0){
                printf("Got error %d\n",err);
                exit(1);
                }
        usleep(1000);
        }
