function[data]=loadf(fname,s);
%% loads standard floating point format file
%% .... and transposes it so it does what you expect, not what Matlab
%% thinks it should do.
%% i.e the fast axis plots horizontal in image()
%% function[data]=loadf(fname,size);
%% or if the name is a <<standard>> name ie fname='name_f_xxx_xxx.d'
%% function[data]=loadf(fname);



if(nargin==1);
finish=size(fname,2);
start=findstr(fname,'_f_');
[a,b,c]=fnum(fname(start:finish));
s(1)=a;
a=fnum(fname((start+c+1):finish));
s(2)=a;
end;




if(isstr(fname))
	fi=fopen(fname,'r');
	disp 'loading data..'
	data=fread(fi,s,'float32');
	fclose(fi);
	data=data';
else
	error('Usage filename size');
	end
	
